---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/queues/create-queue.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Creating a queue

Use this request to create queues.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/queues/</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To create a queue, use an HTTP `POST` request. In the request body, specify the parameters in JSON format.

```json
POST /v3/queues/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
    "key": "DESIGN",
    "name": "Design",
    "lead": "artemredkin",
    "defaultType": "task",
    "defaultPriority": "normal",
    "issueTypesConfig":[
                {"issueType":"task",
                  "workflow":"oicn",
                  "resolutions":["wontFix",...]},
  ...
  ]
}
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

{% cut "Request body parameters" %}

**Required parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| key | Queue key | String |
| name | Queue name | String |
| lead | Username or ID of the queue owner | String |
| defaultType | ID or key of the default issue type | String |
| defaultPriority | ID or key of the default issue priority | String |
| [issueTypesConfig](#issue-types-config) | Array with settings of queue issue types | Array of objects |

`issueTypesConfig` **array object fields** {#issue-types-config}

| Parameter | Description | Data type |
----- | ----- | -----
| issueType | Key of the issue type | String |
| workflow | Workflow ID | String |
| resolutions | Array with the IDs or keys of possible resolutions | Array |

{% endcut %}

## Response format {#answer}

{% list tabs %}

- Request executed successfully

  <!-- source: en/_includes/api/answer-201.md -->
  If the request is successful, the API returns a response with code `201 Created`.
  <!-- endsource: en/_includes/api/answer-201.md -->

  The request body contains information about the created queue in JSON format.

    ```json
    {
           "self": "https://api.tracker.yandex.net/v3/queues/DESIGN",
           "id": "111",
           "key": "DESIGN",
           "version": 1400150916068,
           "name": "Design",
           "lead": {
              "self": "https://api.tracker.yandex.net/v3/users/44********",
              "id": "artemredkin",
              "display": "Artem Redkin"
        },
           "assignAuto": false,
           "allowExternals" : false,
           "defaultType": {
              "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
              "id": "2",
              "key": "task",
              "display": "Task"
       },
           "defaultPriority": {
              "self": "https://api.tracker.yandex.net/v3/priorities/2",
              "id": "2",
              "key": "normal",
              "display": "Normal"
      }
    }
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Queue link. | String |
    | id | Queue ID. | Number in string format |
    | key | Queue key. | String |
    | version | Queue version. Each change to the queue increases its version number. | Number |
    | name | Queue name | String |
    | [lead](#lead) | Block with information about the queue owner | Map item |
    | assignAuto | Automatically assign new issues in the queue:<ul><li>`true`: Assign</li><li>`false`: Do not assign</li></ul> | Boolean |
    | allowExternals | Allow sending emails to external addresses. Acceptable values include:<ul><li>`true`: Enable.</li><li>`false`: Disable.</li></ul> | Boolean |
    | [defaultType](#default-type) | Block with information about the default issue type | Map item |
    | [defaultPriority](#default-priority) | Block with information about the default issue priority | Map item |

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `defaultType` **object fields** {#default-type}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the issue type | String |
    | id | ID of the issue type | String |
    | key | Key of the issue type | String |
    | display | Issue type name displayed | String |

    `defaultPriority` **object fields** {#default-priority}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the priority type | String |
    | id | Priority ID | String |
    | key | Priority key | String |
    | display | Priority name displayed | String |

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a message with error details:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-403.md -->
    403
    :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
    <!-- endsource: en/_includes/api/answer-error-403.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

    <!-- source: en/_includes/api/answer-error-409.md -->
    409
    :   There was a conflict when editing the object. The error may be due to an invalid update version.
    <!-- endsource: en/_includes/api/answer-error-409.md -->

    <!-- source: en/_includes/api/answer-error-422.md -->
    422
    :   JSON validation error, the request is rejected.
    <!-- endsource: en/_includes/api/answer-error-422.md -->

    <!-- source: en/_includes/api/answer-error-500.md -->
    500
    :   Internal service error. Try again later.
    <!-- endsource: en/_includes/api/answer-error-500.md -->

    <!-- source: en/_includes/api/answer-error-503.md -->
    503
    :   The API service is temporarily unavailable.
    <!-- endsource: en/_includes/api/answer-error-503.md -->

{% endlist %}
